# Created by pyp2rpm-3.3.2
%global pypi_name prometheus-smart-exporter

Name:           python-%{pypi_name}
Version:        0.2.2
Release:        6%{?dist}
Summary:        S.M.A.R.T. exporter for Prometheus

License:        None
URL:            https://github.com/cloudandheat/prometheus_smart_exporter
Source0:        https://files.pythonhosted.org/packages/source/p/%{pypi_name}/prometheus_smart_exporter-%{version}.tar.gz
Patch0:         0001-Provide-a-way-to-pass-additional-arguments-to-smartc.patch
Patch1:         0002-Fail-gracefully-if-RAW_VALUE-does-not-contain-a-simp.patch
Patch2:         0003-Raid-controller-support.patch
BuildArch:      noarch
 
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools

%description
S.M.A.R.T. exporter for Prometheus This is a Prometheus Exporter < which
exports S.M.A.R.T. metrics.Core Features * Secure: only the absolute necessary
part of the code runs as root, in a separate process * No guessing: re-uses the
device database from the check_smart_attributes_ nagios check.Architecture We
want to avoid having a service running as root exposed to the network. This is
why the...

%package -n     python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}
 
Requires:       python%{python3_pkgversion}-prometheus_client >= 0.0.14
Requires:       python%{python3_pkgversion}-setuptools
Requires:       python%{python3_pkgversion}-systemd
%description -n python%{python3_pkgversion}-%{pypi_name}
S.M.A.R.T. exporter for Prometheus This is a Prometheus Exporter < which
exports S.M.A.R.T. metrics.Core Features * Secure: only the absolute necessary
part of the code runs as root, in a separate process * No guessing: re-uses the
device database from the check_smart_attributes_ nagios check.Architecture We
want to avoid having a service running as root exposed to the network. This is
why the...


%prep
%autosetup -n prometheus_smart_exporter-%{version} -p 1
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python%{python3_pkgversion}-%{pypi_name}
%license COPYING.gpl3
%doc README.rst
%{_bindir}/prometheus_smart_exporter
%{_bindir}/smart_exporter_helper
%{python3_sitelib}/prometheus_smart_exporter
%{python3_sitelib}/smart_exporter_helper
%{python3_sitelib}/prometheus_smart_exporter-%{version}-py?.?.egg-info

%changelog
* Tue Jul 31 2018 mockbuilder - 0.2.2-1
- Initial package.
